#include <iostream>
#include "SCGMSGame.h"

int main(int argc, char** argv)
{
	SCGMS_Game game{ 4, 1, 60000, "testlog_cpp.txt" };

	for (size_t i = 0; i < 10; i++)
	{
		game.Step();
		std::cout << "BG: " << game.Get_BG() << std::endl;
	}

	game.Schedule_Insulin_Bolus(8.0, 0.5);

	for (size_t i = 0; i < 50; i++)
	{
		game.Step();
		std::cout << "BG: " << game.Get_BG() << std::endl;
	}

	game.Schedule_Carb_Intake(60.0, 0.25);

	for (size_t i = 0; i < 50; i++)
	{
		game.Step();
		std::cout << "BG: " << game.Get_BG() << std::endl;
	}

	game.Terminate();
	
	return 0;
}